# 141216 # extract reads to build NJ tree!

setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/5 tree_calc")

time <- Sys.time()

worked <- read.csv("../4 unique usearch/140912_test_OTUs/bulk_v11hit.csv", sep="\t", stringsAsFactors=F)

worked[,3:12][worked[,3:12]=="1?"] <- 1
worked[3:12] <- worked[3:12]==1
ID_rep <- names(worked)[3:12]
worked <- worked[c(-53, -54),]
worked$X[worked$X==91] <- 1 # mistake in data file??? but ok

otu <- read.csv("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/4 unique usearch/140912_test_OTUs/OTU_hitQ_v5.csv", stringsAsFactors=F)
otu <- otu[!is.na(otu$id),]





setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/4 unique usearch/140912_test_OTUs")

files <- list.files(pattern="110911_.*.txt") # usearch hit tables
files <- files[c(6,5,7,9,3,1,10,2,4,8)]

sequfiles <- list.files("../", pattern="uni.fasta")
sequfiles <- sequfiles[c(6,5,7,9,3,1,10,2,4,8)]



i <- 1

for(i in 1:10){
# read hit table
setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/4 unique usearch/140912_test_OTUs")
hits <- read.csv(files[i], sep="\t", header=F)
hits$V2 <- as.numeric(gsub("OTU_(.*)", "\\1", hits$V2))
hits$V12 <- as.numeric(gsub(".*size=(.*);", "\\1", hits$V1))

#read fasta file! double_v1.R
setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/4 unique usearch/")

rawdata <- readLines(sequfiles[i]) #replica I
head(rawdata)
delimit <- grep(">", rawdata) # detect >
ID <- sub(">", "", rawdata[delimit])
sequ1 <- c(1:length(delimit))
for (x in 1:length(delimit)){
sequ1[x] <- paste(rawdata[(delimit[x]+1):(delimit[x]+7)], collapse="") # rowlength 7
}
sequ <- data.frame(ID, sequ=sequ1, stringsAsFactors = FALSE)

setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/5 tree_calc")

# loop subsetting sequences for exporting
for (k in 1:52){
if (worked[worked$X==k,i+2]){
getotu <- otu$OTU.ID[otu$id==k] # id of taxa to OTU hit id
temp <- hits[hits$V2%in%getotu,] # subset hits with OTUs tax i
temp <- temp[temp$V12==max(temp$V12),] # highest hit! most abund

outID <- paste(">", k, "_", ID_rep[i], "_",temp$V12, "_", otu$Mix[otu$id==k][1], sep="")

cat(outID, file="sequ.fasta", append=T, sep="\n")
cat(sequ$sequ[sequ$ID==temp$V1], file="sequ.fasta", append=T, sep="\n")
}
}
print(Sys.time()-time)
time <- Sys.time()
}




